<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Delete_Dispatcher StructType
 * @subpackage Structs
 */
class Delete_Dispatcher extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The Identifier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Identifier
     */
    public $Identifier;
    /**
     * Constructor method for Delete_Dispatcher
     * @uses Delete_Dispatcher::setLogin()
     * @uses Delete_Dispatcher::setIdentifier()
     * @param \StructType\Login $login
     * @param \StructType\Identifier $identifier
     */
    public function __construct(\StructType\Login $login = null, \StructType\Identifier $identifier = null)
    {
        $this
            ->setLogin($login)
            ->setIdentifier($identifier);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Delete_Dispatcher
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get Identifier value
     * @return \StructType\Identifier|null
     */
    public function getIdentifier()
    {
        return $this->Identifier;
    }
    /**
     * Set Identifier value
     * @param \StructType\Identifier $identifier
     * @return \StructType\Delete_Dispatcher
     */
    public function setIdentifier(\StructType\Identifier $identifier = null)
    {
        $this->Identifier = $identifier;
        return $this;
    }
}
